Name:           ocaml-mad
Version:        0.4.4
Release:        %mkrel 4
Summary:        Bindings for the mad library
License:        GPLv2+
Group:          Development/OCaml
URL:            http://sourceforge.net/projects/savonet/files/
Source0:        http://downloads.sourceforge.net/savonet/ocaml-mad/ocaml-mad-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  libmad-devel


%description
Bindings for the mad library which provides functions for encoding
wave audio files into mp3.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libmad-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure
make
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/mad
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/mad
%{_libdir}/ocaml/mad/META
%{_libdir}/ocaml/mad/*.cma
%{_libdir}/ocaml/mad/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html
%{_libdir}/ocaml/mad/*.a
%{_libdir}/ocaml/mad/*.cmxa
%{_libdir}/ocaml/mad/*.cmx
%{_libdir}/ocaml/mad/*.mli





%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.4.4-4.mga4
+ Revision: 508491
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.4-3.mga3
+ Revision: 361488
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.4.4-2.mga3
+ Revision: 301669
- new rpm group for ocaml

* Sun Nov 20 2011 malo <malo> 0.4.4-1.mga2
+ Revision: 170017
- imported package ocaml-mad


* Sat Aug 21 2010 Florent Monnier <blue_prawn@mandriva.org> 0.4.0-1mdv2011.0
+ Revision: 571674
- updated to version 0.4.0

* Mon Jan 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.6-1mdv2010.1
+ Revision: 496364
- new version

* Mon Aug 10 2009 Florent Monnier <blue_prawn@mandriva.org> 0.3.5-2mdv2010.0
+ Revision: 413705
- patched openfile segfault

* Sat Aug 01 2009 Florent Monnier <blue_prawn@mandriva.org> 0.3.5-1mdv2010.0
+ Revision: 405319
- corrected deps
- import ocaml-mad

